
<div class="container px-0">
<table id="all_ep" class="table" data-index = 4 style="clear: both;">
	[posts ids="{{posts}}"]
	<tr class="dur-item">
			<td class="w-12">
				
			 [image id="{{post.featuredImage}}" container_class="h-1" background="1"][/image] 
			</td>	
			
			<td class="">
				<h4>
				<a href="{{post.podcast|podcast_url}}">
					
				{{post.title}}  
				</a>
				</h4>
			</td>
			<td>
			{{post.excerpt}}
			</td>
			<td style="width: 20%">
			<button class="btn btn-play py-1 my-3" data-mp3-url="{{post.podcast|podcast_url}}"><i id="play" class="fas fa-play mx-1"></i> <span class="podcast_time"></span> | Écouter</button>
			 <button class="btn btn-play py-1" data-mp3-url="{{post.podcast|podcast_url}}">
	            <img src="/wp-content/themes/inkyfada/assets/img/icons/menu-playlist.png"> 
	          </button>
			</td>
			
				

			
			
	</tr>
	[/posts]
</table>
<div class="w-100 text-center">
<button id="show-more" class="btn btn-play py-1 my-3 w-50">plus d'épisodes</button>
</div>
</div>

<script type="text/javascript">
	let index = $('table#all_ep').data('index');
    let lines = $('table#all_ep > tbody').children();
	 $( document ).ready(function(){
    
     if (index >= lines.length) {
     	$('#show-more').addClass('d-none');
     } else {
     	for ( let i = index; i < lines.length; i++ ) {
    	$(lines[i]).addClass("d-none")
    	}
     }
    
  });
	 $('#show-more').on("click", function(){
	 	
    for ( let i = index; i < lines.length; i++ ) {
    	$(lines[i]).removeClass("d-none")
    }
    $(this).addClass('d-none')
	 })
</script>
